/* NessusJ
 * Copyright (C) 1999 Alexis de Bernis <alexisb@cvs.nessus.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * This program is a nessusd java client. For any information about
 * the nessus project visit <http://www.nessus.org>
 *
 *      PLEASE READ CAREFULLY NESSUS DOCUMENTATION BEFORE
 *                     USING THIS PROGRAM
 *
 */

/* importation directives has changed in newer JDK, uncomment
 * the ones you use if you have compilation troubles :
 * JDK up to 1.1.7 (Swing 1.0.x) : classes in com.sun.java.swing
 * JDK from 1.2 (Swing 1.1.x) : classes in javax.swing
 * You must change this in every .java file...
 */

import java.awt.*;

import com.sun.java.swing.*;
//import javax.swing.*;


public class Intro extends JWindow
{
    private JLabel logo,state;


    Intro(NessusJ parent)
    {
        super();

		PicsLib pics=parent.get_pics_lib();

        logo=new JLabel(pics.get_pic("nessusj"));
        state=new JLabel("Starting NessusJ...",JLabel.CENTER);

        getContentPane().setLayout(new BorderLayout());
        getContentPane().add("Center",logo);
        getContentPane().add("South",state);

        pack();

        Dimension screen=Toolkit.getDefaultToolkit().getScreenSize();

        setLocation((screen.width-getSize().width)/2,(screen.height-getSize().height)/2);
        setVisible(true);
    }

    public void setState(String text)
    {
        state.setText(text);
    }
}
